aboutsummaryrefslogtreecommitdiffstats
path: root/bin/pack
diff options
context:
space:
mode:
Diffstat (limited to 'bin/pack')
-rwxr-xr-xbin/pack10
1 files changed, 10 insertions, 0 deletions
diff --git a/bin/pack b/bin/pack
new file mode 100755
index 0000000..31993ab
--- /dev/null
+++ b/bin/pack
@@ -0,0 +1,10 @@
+#!/bin/sh
+if [[ $# -ne 1 ]]
+then
+echo "usage: $0 path"
+exit 1
+fi
+FILE="$(basename "$1" /)"
+echo "generating $FILE.tgz..."
+tar czf "$FILE".tgz $1
+echo "done."
Un proyecto texto-plano.xyz